@echo off
setlocal
if "%~1"=="" goto usage
if "%~1"=="-mp2" (
	set output=mp2
	shift
)
:loop
if "%~x1"==".rec" (
	for %%a in ("%~1") do ( 
		echo Processing %%~a
		mplayer.exe "%%~a" -dumpaudio -dumpfile "%%~na.mp2"
		if "%output%" neq "mp2" (
			lame -V 2 --vbr-new --mp2input --resample 44.1 --brief --tt "%%~na" --ta "Radio" --tl "Radio" --add-id3v2 "%%~na.mp2" "%%~na.mp3"
			del "%%~na.mp2"
		)
	)
) else echo Skipping %~1
shift
if "%~1" neq "" goto loop
pause
goto :eof

:usage
echo RECtoMP3 ^<recfile^> [^<recfile^>...]
echo Examples:
echo Convert something.rec to something.mp2
echo rectomp3 something.rec
echo.
echo Convert all rec files in the current directory
echo rectomp3 *.rec
echo.
echo Convert multiple files
echo rectomp3 something.rec "something else.rec" subdir\*.rec
